Public Class clsMyValidate
    Inherits clsValidate
    'In this case the child overrides the base class function
    'and implements it's own version of IsNumerical
    
    'The Other functions in the base are accepted by the child class
    'however, they can be overridden because they are marked as
    'overridable (see clsValidate)
    Overrides Function IsNumerical(ByVal TestString As String) As Boolean
        Dim iCtr As Integer
        Dim iCount As Integer
        Dim sChar As String
        
        
        '
        
  
        If IsNumeric(TestString) Then
            isNumerical = True
            Exit Function
            
        End If
        
        'Allows for characters commonly used in phone numbers
        iCount = len(TestString)
        For iCtr = 1 To iCount
            sChar = mid(TestString, iCtr, 1)
            'Note use of MyBase below to call Base Function's
            'version of the function
            If (sChar <> " " And sChar <> "(" And sChar <> ")" _
                 And sChar <> "-") And Not MyBase.IsNumerical(sChar) Then
                IsNumerical = False
                Exit Function
                
                
            End If
        Next
        IsNumerical = True
    End Function
End Class
